<?php

$status = array
(
	1 => '未开始',
	2 => '正在答题',
	3 => '中止答题',//也算完成
	4 => '完成答题',
);

return array
(
	# 表名
	'name' => 'user',
	# 显示给用户看的名称
	'lang' => '用户参与表',
	# 是否显示在后台菜单
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'product_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '产品',
			'default' 	=> '',
			'desc' 		=> '产品',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_product_id')
		),

		'order_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '订单',
			'default' 	=> '',
			'desc' 		=> '订单',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'uid'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '用户id',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> '{uid} > 0 ? Dever::load("passport/user-one#name", {uid}) : "匿名用户"',
		),

		'score'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '当前得分',
			'default' 	=> '0',
			'desc' 		=> '当前得分',
			'match' 	=> 'option',
			'update'	=> 'text',
			'list'		=> true,
		),

		'times'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '答题次数',
			'default' 	=> '0',
			'desc' 		=> '答题次数',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'index'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '答题进度',
			'default' 	=> '0',
			'desc' 		=> '答题进度',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '答题状态',
			'default' 	=> '1',
			'desc' 		=> '答题状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			'option'	=> $status,
			'control'	=> 'type',
			'list'		=> true,
		),

		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			//'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'insert' => false,
		'edit' => false,
		'delete' => false,
	),

	'request' => array
	(
		# 获取最新一条的用户信息
		'get' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'uid' => 'yes',
				'state' => 1,
			),
			'type' => 'one',
			'order' => array('times' => 'desc', 'id' => 'desc'),
			'col' => '*',
		),

		# 获取已完成记录
		'getFinish' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'status' => array('yes', '>='),
				'exam_id' => 'yes',
				'uid' => 'yes',
				'state' => 1,
			),
			'type' => 'one',
			'order' => array('times' => 'desc', 'id' => 'desc'),
			'col' => 'times,status',
		),

		# 获取未完成记录
		'getUnFinish' => array
		(
			# 匹配的正则或函数 选填项
			'where' => array
			(
				'status' => array('yes', '<'),
				'exam_id' => 'yes',
				'uid' => 'yes',
				'state' => 1,
			),
			'type' => 'one',
			'col' => '*',
		),
	)
);
