<?php
return array
(
	# 表名
	'name' => 'user_answer',
	# 显示给用户看的名称
	'lang' => '用户答题记录',
	# 是否显示在后台菜单
	'menu' => false,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'order'		=> 'desc',
			'list'		=> true,
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户',
			'default' 	=> '',
			'desc' 		=> '用户',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '问卷标题',
			'default' 	=> '',
			'desc' 		=> '问卷标题',
			'match' 	=> 'is_numeric',
			'list'		=> true,
		),

		'product_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '产品',
			'default' 	=> '',
			'desc' 		=> '产品',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'order_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '订单',
			'default' 	=> '',
			'desc' 		=> '订单',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
		),

		'score'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '本题得分',
			'default' 	=> '0',
			'desc' 		=> '本题得分',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'value'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '内容',
			'default' 	=> '',
			'desc' 		=> '内容',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		
	),

	'request' => array
	(
		'getAll' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'uid' => 'yes',
				'info_id' => 'yes',
				'user_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'col' => 'info_id,uid,user_id,id|info_id',
		),

		'getNew' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'uid' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'col' => 'info_id,uid,user_id,id|info_id',
		),

		'getOldOne' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'product_id' => 'yes',
				'uid' => 'yes',
				'order_id' => 'yes',
				'state' => 1,
			),
			'type' => 'one',
			'order' => array('id' => 'desc'),
			'col' => '*',
		),

		'getNewOne' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'product_id' => 'yes',
				'uid' => 'yes',
				'order_id' => 'yes',
				'state' => 1,
			),
			'type' => 'one',
			'order' => array('id' => 'desc'),
			'col' => '*',
		),

		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'product_id' => 'yes',
				'uid' => 'yes',
				'order_id' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('info_id' => 'desc'),
			'col' => '*|info_id',
		),
	)
);
